Run Benchmark
POST /api/etherforce/benchmark/run
POST
/api/etherforce/benchmark/run
Kick off a benchmark run; returns the freshly-allocated run_id.
The run is scheduled as a background task so the route returns immediately and the client subscribes to the SSE stream for progress.
Request Body required
Section titled “Request Body required ” BenchmarkRunRequest
object
handlerId
required
Handlerid
string
revision
Revision
string
fixtureIds
Any of:
Array<string>
null
Responses
Section titled “ Responses ”Successful Response
BenchmarkRunResponse
object
accepted
required
Accepted
boolean
runId
required
Runid
string
message
required
Message
string
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context